## scorecard 0.11

=== Makefile ===
#############################################################################
# Makefile for building: bin/scorecard
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 6 22:12:09 2009
# Project:  scorecard.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -Wno-return-type -g -g -O0 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4 -Imoc
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = src/main.cpp \
		src/main-window.cpp \
		src/score-dialog.cpp \
		src/course-dialog.cpp \
		src/table-model.cpp \
		src/stat-model.cpp \
		src/xml-dom-parser.cpp \
		src/data.cpp moc/moc_main-window.cpp \
		moc/moc_score-dialog.cpp \
		moc/moc_course-dialog.cpp \
		moc/moc_table-model.cpp \
		moc/moc_stat-model.cpp \
		qrc_scorecard.cpp
OBJECTS       = obj/main.o \
		obj/main-window.o \
		obj/score-dialog.o \
		obj/course-dialog.o \
		obj/table-model.o \
		obj/stat-model.o \
		obj/xml-dom-parser.o \
		obj/data.o \
		obj/moc_main-window.o \
		obj/moc_score-dialog.o \
		obj/moc_course-dialog.o \
		obj/moc_table-model.o \
		obj/moc_stat-model.o \
		obj/qrc_scorecard.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		scorecard.pro
QMAKE_TARGET  = scorecard
DESTDIR       = bin/
TARGET        = bin/scorecard

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: scorecard.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile scorecard.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile scorecard.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/scorecard1.0.0 || $(MKDIR) obj/scorecard1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main-window.h src/score-dialog.h src/course-dialog.h src/table-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/table-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_table-model.cpp moc/moc_stat-model.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_table-model.cpp moc/moc_stat-model.cpp
moc/moc_main-window.cpp: src/data.h \
		src/table-model.h \
		src/main-window.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/main-window.h -o moc/moc_main-window.cpp

moc/moc_score-dialog.cpp: src/data.h \
		src/score-dialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/score-dialog.h -o moc/moc_score-dialog.cpp

moc/moc_course-dialog.cpp: src/data.h \
		src/course-dialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/course-dialog.h -o moc/moc_course-dialog.cpp

moc/moc_table-model.cpp: src/data.h \
		src/table-model.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/table-model.h -o moc/moc_table-model.cpp

moc/moc_stat-model.cpp: src/data.h \
		src/stat-model.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/stat-model.h -o moc/moc_stat-model.cpp

compiler_rcc_make_all: qrc_scorecard.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_scorecard.cpp
qrc_scorecard.cpp: scorecard.qrc
	/usr/bin/rcc -name scorecard scorecard.qrc -o qrc_scorecard.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

obj/main.o: src/main.cpp src/main-window.h \
		src/data.h \
		src/table-model.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp

obj/main-window.o: src/main-window.cpp src/main-window.h \
		src/data.h \
		src/table-model.h \
		src/score-dialog.h \
		src/course-dialog.h \
		src/stat-model.h \
		src/xml-dom-parser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main-window.o src/main-window.cpp

obj/score-dialog.o: src/score-dialog.cpp src/score-dialog.h \
		src/data.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/score-dialog.o src/score-dialog.cpp

obj/course-dialog.o: src/course-dialog.cpp src/course-dialog.h \
		src/data.h \
		src/cell-delegate.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp

obj/table-model.o: src/table-model.cpp src/table-model.h \
		src/data.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/table-model.o src/table-model.cpp

obj/stat-model.o: src/stat-model.cpp src/stat-model.h \
		src/data.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/stat-model.o src/stat-model.cpp

obj/xml-dom-parser.o: src/xml-dom-parser.cpp src/xml-dom-parser.h \
		src/data.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/xml-dom-parser.o src/xml-dom-parser.cpp

obj/data.o: src/data.cpp src/data.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/data.o src/data.cpp

obj/moc_main-window.o: moc/moc_main-window.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_main-window.o moc/moc_main-window.cpp

obj/moc_score-dialog.o: moc/moc_score-dialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_score-dialog.o moc/moc_score-dialog.cpp

obj/moc_course-dialog.o: moc/moc_course-dialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_course-dialog.o moc/moc_course-dialog.cpp

obj/moc_table-model.o: moc/moc_table-model.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_table-model.o moc/moc_table-model.cpp

obj/moc_stat-model.o: moc/moc_stat-model.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_stat-model.o moc/moc_stat-model.cpp

obj/qrc_scorecard.o: qrc_scorecard.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/qrc_scorecard.o qrc_scorecard.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/scorecard/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/scorecard/bin/

=== debian/changelog ===
scorecard (0.11) unstable; urgency=low

  * Added statistics view 

 -- Sakari Poussa <spoussa@gmail.com>  Sun, 29 Nov 2009 22:19:00 +0300

=== debian/control ===
Source: scorecard
Section: user/other 
Priority: optional
Maintainer: Sakari Poussa (spoussa@gmail.com)
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: scorecard
Architecture: any
Depends: libqt4-gui (>= 4.5.3~git20090723-0maemo5) 
Description: Simple golf score card application for N900 to keep track of your golf scores
 .
 Further Information: http://scorecard.garage.maemo.org 
XB-Maemo-Display-Name: ScoreCard
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gIDg0MI+QcpT0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAFY0lEQVRIx72WXWwcVxXHfzOz4931eu1df8Um
 dpw0bkII0KR1UqzWpkJIFUhtIwjKEyCBxAuoEn3h4xFekAChwkMlnioBItCEFiFRqBo1bdI2SpO0
 BhfZcez4i7W99u7auzu7c+/cDx6ySZ1gJ62QuNJo5o40/9/9H50558D/aXl3vhg9njn+rZ/t/Pnw
 U5mB/UPN7uz79fV61Yj/FeRs3nT1NaU/NZK6dOJ7Pft8z0MqZaUwlUpJj4nAnF/LRefOnV6//M/X
 q2uA+Sig2ObNzvvj3/Zizj4/5nNo1x60VU4ow9ZAhCOBECPBJ+QPDg63BJWSmggD81ZpJXpj7LXq
 xbN/KOUA9aEdHf1C67ttnbFDX//hXg70fvzGoR2Nc/PuaIyJqMmQahhSESHlaiiKBTkTBvrtckGd
 m36vfvbFZ1dn7+roJth1mtA62QBYHCyuC67jEHMhnjBkEgqDxHSLuBgQB6ph7cBGrfaNTFfp5b8+
 F3zlyJ4TPTKqlC7OnCpuBbqxrIfWPjegFs91iVmfqA5LSzVqocT3PTq72shkHawTkklEJKzgxb+Z
 4aHBw9dOHP1xRxCuXbg4c2p0W5C1ECkH1wHH9Ym5Tfx72jA1KXGcJLhxcDTzM4qubof9n2wjCKq8
 /UqVhTcHMk88/AwdnW1QrsS3Cx0AxlqUtriOi+96rMw5TI0l8bwWmprr9OwCz4X8kqG46DEeCIwn
 eedUO8MHP09bNoWfFqQ895amuzXIIJXEGIVVcPVKkoTXTqpN8ulHNZ0Dkq7dhgeO+nR3eyxONvHm
 79L0Z4cYefhxTp35Fal2SLU7dwdpq5C6jraS3EyEbzsQYcjuB8qUo3XqUY3VxYgzpw3tH6uSW8wx
 +w/No498DuEWeOjwENmeODv6M33f/eZPBrcNnTYSoSr4nmZpLoaoCvzsMsItobTGlJsZP9ONVjGm
 p+cRZpmFXJyWrE//rj72HfwqnuehlNORbm3uAq5tAxKEukRcS1aXDVGpRLY1j9QbRIHH+d+naG32
 iGfn6NhTIj2maLuvwk9feIriv/qIq15++8fn2AjzYz/6xdMXts86DKEqEI8JAiEoLrcQNRe5Pwo5
 /SzEVDvr3jzyWki6v0ay2aVnZyv9j6xyuTYxp6fa/7S0NttZ2Fi5Atjt/6NGQiijyPYKrl0qUiwr
 Ro/5CBGg3Os89oTPy88nePU3CZIpS0efZPDBJJEtz/761ZPPjHzx5G167nYgi0VqxeBDDusbearr
 Lq+/VOdr32/mye9odh2KGP1SlVrVUMw77D0sSWVdegfjW1Z697Zn+8HeWoi0goRk6HFJuVzm7EuC
 k78ssDqvmRmTTLxXZq1QIJ/Pc+V8AdcFv8kx96recWtvD6W2hkCGDB9rYXmhzIW/C955Dd56ZR1j
 DNZaegdi7Oj32Pugj7H2nm3CAdLGWP/2UmSROqIcBRx7Os3+Iz5v/LnI0nxIMuVyeDTNZ49nMa5C
 WonQEVpZH4gDYjtHSex/d1xjLUJJtNHsPuKz7zM7cB0XbTShigh0BaPtLTeiblJABljd3Bw3O3Lu
 7E+bYZFWKKOpIcC54dZaiwXqVaNWrotSbkZOT12u/WWrESF2K8kgrFfNOLB76yz8QDzY0DI3JYoL
 k+Hc1JX61NTl2kStrGeBRWABWL+z1W8GVa+P15/vHmh6DGi55cZgy2tKLF4NVxcmxOzVS7Wr0+/W
 JiNp54AVYA3YAAIgBCJA3y3r6vWquVRcjl4o5KIvL0yE+bn3w7mJi8Hk7Hg42ThpHigA5YawaMwK
 +mYF+FAzA5AA9gB7Gx8XG1cZqAGyIWzuJXwvkAP4QFND6GYYPrLwnes/C0zgfY79KusAAAAASUVO
 RK5CYII=

## scorecard 0.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 6 22:12:09 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 13 16:25:19 2009
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -11,8 +11,8 @@
 CC            = gcc
 CXX           = g++
 DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -g -O0 -D_REENTRANT -Wall -W $(DEFINES)
-CXXFLAGS      = -pipe -Wno-return-type -g -g -O0 -D_REENTRANT -Wall -W $(DEFINES)
+CFLAGS        = -pipe -O0 -D_REENTRANT -Wall -W $(DEFINES)
+CXXFLAGS      = -pipe -Wno-return-type -O0 -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4 -Imoc
 LINK          = g++
 LFLAGS        =

=== debian/changelog ===
scorecard (0.12) unstable; urgency=low

  * Qt dependencies corrected, new colors

 -- Sakari Poussa <spoussa@gmail.com>  Sun, 13 Dec 2009 17:30:00 +0300

## scorecard 0.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 13 16:25:19 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Dec 28 11:04:18 2009
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -168,7 +168,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) obj/scorecard1.0.0 || $(MKDIR) obj/scorecard1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main-window.h src/score-dialog.h src/course-dialog.h src/table-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/table-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/score-common.h src/main-window.h src/score-dialog.h src/course-dialog.h src/table-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/table-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
 
 
 clean:compiler_clean 
@@ -239,7 +239,8 @@
 		src/table-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
 
-obj/main-window.o: src/main-window.cpp src/main-window.h \
+obj/main-window.o: src/main-window.cpp src/score-common.h \
+		src/main-window.h \
 		src/data.h \
 		src/table-model.h \
 		src/score-dialog.h \
@@ -249,16 +250,18 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main-window.o src/main-window.cpp
 
 obj/score-dialog.o: src/score-dialog.cpp src/score-dialog.h \
-		src/data.h
+		src/data.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/score-dialog.o src/score-dialog.cpp
 
 obj/course-dialog.o: src/course-dialog.cpp src/course-dialog.h \
 		src/data.h \
-		src/cell-delegate.h
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
 obj/table-model.o: src/table-model.cpp src/table-model.h \
-		src/data.h
+		src/data.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/table-model.o src/table-model.cpp
 
 obj/stat-model.o: src/stat-model.cpp src/stat-model.h \
@@ -293,4 +296,3 @@
 ####### Install
 
 install_target: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/scorecard/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/scorecard/bin/

=== debian/changelog ===
scorecard (0.13) unstable; urgency=low

  * More consistent colors in dialog
  * In main view, course data is updated after entering new score 

 -- Sakari Poussa <spoussa@gmail.com>  Mon, 28 Dec 2009 10:30:00 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: scorecard
 Architecture: any
-Depends: libqt4-gui (>= 4.5.3~git20090723-0maemo5) 
+Depends: libqt4-gui (>= 4.5.3~git20090723) 
 Description: Simple golf score card application for N900 to keep track of your golf scores
  .
  Further Information: http://scorecard.garage.maemo.org

## scorecard 0.14

=== debian/changelog ===
scorecard (0.14) unstable; urgency=low

  * Use list view instead of table view in main window for browsing scores
  * Able to browse courses in list view
  * Able delete courses, able to select courses for editing
  * Qt 4.6.2 changes
  * New colors since Qt4.6 does not work well with Maemo5 styling

 -- Sakari Poussa <spoussa@gmail.com>  Tue, 27 Apr 2010 07:30:00 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: scorecard
 Architecture: any
-Depends: libqt4-gui (>= 4.5.3~git20090723) 
+Depends: libqt4-gui (>= 4.6.2~git20100310) 
 Description: Simple golf score card application for N900 to keep track of your golf scores
  .
  Further Information: http://scorecard.garage.maemo.org

## scorecard 0.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Dec 28 11:04:18 2009
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 20:05:33 2010
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O0 -D_REENTRANT -Wall -W $(DEFINES)
-CXXFLAGS      = -pipe -Wno-return-type -O0 -D_REENTRANT -Wall -W $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4 -Imoc
+DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
+CXXFLAGS      = -pipe -Wno-return-type -g -D_REENTRANT -Wall -W $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -Imoc
 LINK          = g++
-LFLAGS        = 
-LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtXml -lQtGui -lQtCore -lpthread
+LFLAGS        = -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -26,11 +26,12 @@
 SED           = sed
 COPY_FILE     = $(COPY)
 COPY_DIR      = $(COPY) -r
+STRIP         = strip
 INSTALL_FILE  = install -m 644 -p
 INSTALL_DIR   = $(COPY_DIR)
 INSTALL_PROGRAM = install -m 755 -p
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -46,27 +47,35 @@
 		src/main-window.cpp \
 		src/score-dialog.cpp \
 		src/course-dialog.cpp \
+		src/settings-dialog.cpp \
 		src/table-model.cpp \
+		src/list-model.cpp \
 		src/stat-model.cpp \
 		src/xml-dom-parser.cpp \
 		src/data.cpp moc/moc_main-window.cpp \
 		moc/moc_score-dialog.cpp \
 		moc/moc_course-dialog.cpp \
+		moc/moc_settings-dialog.cpp \
 		moc/moc_table-model.cpp \
+		moc/moc_list-model.cpp \
 		moc/moc_stat-model.cpp \
 		qrc_scorecard.cpp
 OBJECTS       = obj/main.o \
 		obj/main-window.o \
 		obj/score-dialog.o \
 		obj/course-dialog.o \
+		obj/settings-dialog.o \
 		obj/table-model.o \
+		obj/list-model.o \
 		obj/stat-model.o \
 		obj/xml-dom-parser.o \
 		obj/data.o \
 		obj/moc_main-window.o \
 		obj/moc_score-dialog.o \
 		obj/moc_course-dialog.o \
+		obj/moc_settings-dialog.o \
 		obj/moc_table-model.o \
+		obj/moc_list-model.o \
 		obj/moc_stat-model.o \
 		obj/qrc_scorecard.o
 DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
@@ -120,7 +129,7 @@
 	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: scorecard.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
+Makefile: scorecard.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
@@ -138,9 +147,11 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
+		/usr/lib/libQtMaemo5.prl \
+		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/libQtCore.prl \
+		/usr/lib/libQtGui.prl
 	$(QMAKE) -unix -o Makefile scorecard.pro
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
@@ -160,15 +171,17 @@
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
+/usr/lib/libQtMaemo5.prl:
+/usr/lib/libQtDBus.prl:
 /usr/lib/libQtXml.prl:
+/usr/lib/libQtCore.prl:
 /usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile scorecard.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) obj/scorecard1.0.0 || $(MKDIR) obj/scorecard1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/score-common.h src/main-window.h src/score-dialog.h src/course-dialog.h src/table-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/table-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/score-common.h src/main-window.h src/score-dialog.h src/course-dialog.h src/settings-dialog.h src/table-model.h src/list-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/settings-dialog.cpp src/table-model.cpp src/list-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
 
 
 clean:compiler_clean 
@@ -187,11 +200,12 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_table-model.cpp moc/moc_stat-model.cpp
+compiler_moc_header_make_all: moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_table-model.cpp moc/moc_stat-model.cpp
+	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 moc/moc_main-window.cpp: src/data.h \
 		src/table-model.h \
+		src/list-model.h \
 		src/main-window.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/main-window.h -o moc/moc_main-window.cpp
 
@@ -203,9 +217,16 @@
 		src/course-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/course-dialog.h -o moc/moc_course-dialog.cpp
 
+moc/moc_settings-dialog.cpp: src/settings-dialog.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/settings-dialog.h -o moc/moc_settings-dialog.cpp
+
 moc/moc_table-model.cpp: src/data.h \
 		src/table-model.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/table-model.h -o moc/moc_table-model.cpp
+
+moc/moc_list-model.cpp: src/data.h \
+		src/list-model.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/list-model.h -o moc/moc_list-model.cpp
 
 moc/moc_stat-model.cpp: src/data.h \
 		src/stat-model.h
@@ -236,13 +257,15 @@
 
 obj/main.o: src/main.cpp src/main-window.h \
 		src/data.h \
-		src/table-model.h
+		src/table-model.h \
+		src/list-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
 
 obj/main-window.o: src/main-window.cpp src/score-common.h \
 		src/main-window.h \
 		src/data.h \
 		src/table-model.h \
+		src/list-model.h \
 		src/score-dialog.h \
 		src/course-dialog.h \
 		src/stat-model.h \
@@ -259,40 +282,16 @@
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
+obj/settings-dialog.o: src/settings-dialog.cpp src/settings-dialog.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings-dialog.o src/settings-dialog.cpp
+
 obj/table-model.o: src/table-model.cpp src/table-model.h \
 		src/data.h \
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/table-model.o src/table-model.cpp
 
-obj/stat-model.o: src/stat-model.cpp src/stat-model.h \
-		src/data.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/stat-model.o src/stat-model.cpp
-
-obj/xml-dom-parser.o: src/xml-dom-parser.cpp src/xml-dom-parser.h \
-		src/data.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/xml-dom-parser.o src/xml-dom-parser.cpp
-
-obj/data.o: src/data.cpp src/data.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/data.o src/data.cpp
-
-obj/moc_main-window.o: moc/moc_main-window.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_main-window.o moc/moc_main-window.cpp
-
-obj/moc_score-dialog.o: moc/moc_score-dialog.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_score-dialog.o moc/moc_score-dialog.cpp
-
-obj/moc_course-dialog.o: moc/moc_course-dialog.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_course-dialog.o moc/moc_course-dialog.cpp
-
-obj/moc_table-model.o: moc/moc_table-model.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_table-model.o moc/moc_table-model.cpp
-
-obj/moc_stat-model.o: moc/moc_stat-model.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_stat-model.o moc/moc_stat-model.cpp
-
-obj/qrc_scorecard.o: qrc_scorecard.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/qrc_scorecard.o qrc_scorecard.cpp
-
-####### Install
-
-install_target: first FORCE
+obj/list-model.o: src/list-model.cpp src/list-model.h \
+		src/data.h \
+		src/score-common.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/list-model.o src/list-model.cpp
+

=== debian/changelog ===
scorecard (0.15) unstable; urgency=low

  * Added non-volatile settings for hcp, home club and default course usage
  * User added courses won't be overwritten (club.xml)
  * Master course file delivered during install (club-master.xml)
  * Maemo5 info notes for errors and info
  * Maemo5 style buttons (via QDialogButtonBox)
  * Apply style sheet in all windows and dialogs

 -- Sakari Poussa <spoussa@gmail.com>  Wed, 12 May 2010 00:09:14 +0300

## scorecard 0.16

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 20:05:33 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 16 21:45:26 2010
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DWANT_DEBUG -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
 CXXFLAGS      = -pipe -Wno-return-type -g -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -Imoc
@@ -204,6 +204,7 @@
 compiler_moc_header_clean:
 	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 moc/moc_main-window.cpp: src/data.h \
+		src/score-common.h \
 		src/table-model.h \
 		src/list-model.h \
 		src/main-window.h
@@ -217,7 +218,9 @@
 		src/course-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/course-dialog.h -o moc/moc_course-dialog.cpp
 
-moc/moc_settings-dialog.cpp: src/settings-dialog.h
+moc/moc_settings-dialog.cpp: src/data.h \
+		src/score-common.h \
+		src/settings-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/settings-dialog.h -o moc/moc_settings-dialog.cpp
 
 moc/moc_table-model.cpp: src/data.h \
@@ -257,6 +260,7 @@
 
 obj/main.o: src/main.cpp src/main-window.h \
 		src/data.h \
+		src/score-common.h \
 		src/table-model.h \
 		src/list-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
@@ -268,13 +272,15 @@
 		src/list-model.h \
 		src/score-dialog.h \
 		src/course-dialog.h \
+		src/settings-dialog.h \
 		src/stat-model.h \
 		src/xml-dom-parser.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main-window.o src/main-window.cpp
 
 obj/score-dialog.o: src/score-dialog.cpp src/score-dialog.h \
 		src/data.h \
-		src/score-common.h
+		src/score-common.h \
+		src/table-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/score-dialog.o src/score-dialog.cpp
 
 obj/course-dialog.o: src/course-dialog.cpp src/course-dialog.h \
@@ -282,16 +288,11 @@
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
-obj/settings-dialog.o: src/settings-dialog.cpp src/settings-dialog.h
+obj/settings-dialog.o: src/settings-dialog.cpp src/settings-dialog.h \
+		src/data.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings-dialog.o src/settings-dialog.cpp
 
 obj/table-model.o: src/table-model.cpp src/table-model.h \
 		src/data.h \
 		src/score-common.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/table-model.o src/table-model.cpp
-
-obj/list-model.o: src/list-model.cpp src/list-model.h \
-		src/data.h \
-		src/score-common.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/list-model.o src/list-model.cpp
-

=== debian/changelog ===
scorecard (0.16) unstable; urgency=low

  * Fixed few crashes when edit/delete score/course
  * Fixed memory leaks when open/close new windows

 -- Sakari Poussa <spoussa@gmail.com>  Wed, 16 May 2010 23:34:14 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: scorecard
-Section: user/other 
+Section: user/utilities 
 Priority: optional
 Maintainer: Sakari Poussa (spoussa@gmail.com)
 Build-Depends: debhelper (>= 5), libqt4-dev

## scorecard 0.17

=== debian/changelog ===
scorecard (0.17) unstable; urgency=low

  * Score sort order can be selected from settings
  * Home Club setting is used when entering new score
  * Score view shows how many shots you went over (or under ;)
  * Bigger fonts (20pt)
  * Added bug tracker link to debian pkg - ready for extras testing

 -- Sakari Poussa <spoussa@gmail.com>  Fri, 28 May 2010 00:00:59 +0300

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: Simple golf score card application for N900 to keep track of your golf scores
  .
  Further Information: http://scorecard.garage.maemo.org 
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=622
 XB-Maemo-Display-Name: ScoreCard
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A

## scorecard 0.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 16 21:45:26 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 18:22:24 2010
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -205,16 +205,20 @@
 	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 moc/moc_main-window.cpp: src/data.h \
 		src/score-common.h \
-		src/table-model.h \
+		src/score-dialog.h \
+		src/table-model.h \
+		src/course-dialog.h \
 		src/list-model.h \
 		src/main-window.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/main-window.h -o moc/moc_main-window.cpp
 
 moc/moc_score-dialog.cpp: src/data.h \
+		src/table-model.h \
 		src/score-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/score-dialog.h -o moc/moc_score-dialog.cpp
 
 moc/moc_course-dialog.cpp: src/data.h \
+		src/table-model.h \
 		src/course-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/course-dialog.h -o moc/moc_course-dialog.cpp
 
@@ -261,17 +265,19 @@
 obj/main.o: src/main.cpp src/main-window.h \
 		src/data.h \
 		src/score-common.h \
-		src/table-model.h \
+		src/score-dialog.h \
+		src/table-model.h \
+		src/course-dialog.h \
 		src/list-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
 
 obj/main-window.o: src/main-window.cpp src/score-common.h \
 		src/main-window.h \
 		src/data.h \
-		src/table-model.h \
+		src/score-dialog.h \
+		src/table-model.h \
+		src/course-dialog.h \
 		src/list-model.h \
-		src/score-dialog.h \
-		src/course-dialog.h \
 		src/settings-dialog.h \
 		src/stat-model.h \
 		src/xml-dom-parser.h
@@ -279,12 +285,13 @@
 
 obj/score-dialog.o: src/score-dialog.cpp src/score-dialog.h \
 		src/data.h \
-		src/score-common.h \
-		src/table-model.h
+		src/table-model.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/score-dialog.o src/score-dialog.cpp
 
 obj/course-dialog.o: src/course-dialog.cpp src/course-dialog.h \
 		src/data.h \
+		src/table-model.h \
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
@@ -292,7 +299,3 @@
 		src/data.h \
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings-dialog.o src/settings-dialog.cpp
-
-obj/table-model.o: src/table-model.cpp src/table-model.h \
-		src/data.h \
-		src/score-common.h

=== debian/changelog ===
scorecard (0.18) unstable; urgency=low

  * When sorting on scores list best first
  * Use numbers not strings when sorting total scores
  * Tune description

 -- Sakari Poussa <spoussa@gmail.com>  Fri, 28 May 2010 12:40:59 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: scorecard
 Architecture: any
 Depends: libqt4-gui (>= 4.6.2~git20100310) 
-Description: Simple golf score card application for N900 to keep track of your golf scores
+Description: N900 application to keep track of your golf scores
  .
  Further Information: http://scorecard.garage.maemo.org 
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=622

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := scorecard
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## scorecard 0.19

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 18:22:24 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jun 21 22:42:50 2010
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DWANT_DEBUG -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
 CXXFLAGS      = -pipe -Wno-return-type -g -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -Imoc
@@ -299,3 +299,4 @@
 		src/data.h \
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings-dialog.o src/settings-dialog.cpp
+

=== debian/changelog ===
scorecard (0.19) unstable; urgency=low

  * Store user data in MyDocs directory
  * New icon
  * Turn off trace debug

 -- Sakari Poussa <spoussa@gmail.com>  Mon, 21 Jun 2010 22:00:00 +0300

## scorecard 0.20

=== debian/changelog ===
scorecard (0.20) unstable; urgency=low

  * Backup works now
  * Faster editing of HCP values. Also keep correct row in HCP edits.
  * No commas in club and score names

 -- Sakari Poussa <spoussa@gmail.com>  Thu, 15 Jul 2010 22:00:00 +0300

=== debian/control ===
Source: scorecard
Section: user/utilities 
Priority: optional
Maintainer: Sakari Poussa (spoussa@gmail.com)
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: scorecard
Architecture: any
Depends: libqt4-gui (>= 4.6.2~git20100310) 
Description: N900 application to keep track of your golf scores
 .
 Further Information: http://scorecard.garage.maemo.org 
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=622
XB-Maemo-Display-Name: ScoreCard
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
 NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAwM
 SURBVHjaYvz//z8DNmAdJYYhBlIrJMCSqaloUyMjrizw798/BiZGRoYz1w6e
 uXbvqj0HGycDLcDRZa9wygEEEAspBoE88Pcfg1C8X5WUjoYhXLx/bq3oiUsn
 BRm4/79nYWFlYGZiZmBkZGKgBwAIIBZSNTAC/fHr948/ML0gT9kae6mzsLCc
 vfng4v57T28cfffx5Zmfv7/cAnrkBwszKwMT2EOMNPEAQACxUGrAnz9/GNSV
 dJlMDCwVf//+o/jy9fOkG3cv/Dp/4+itWw8u7X34/NaJD5/fnP399+c9oGf+
 MoM8BIwdankIIIBYqGHIn7+/wTQrKwuDjJQsCLO52PrqfP/+Q+f5yyf5V26f
 /nbx5vGLtx9d2ff4xd2Tn7+9P//3358nrODkxgKMISZI3JIBAAKIhZbpk5OT
 g0FJQQWEufxcIy0/f/5s+eT5QwagZz5evnXq1N3HV/c9e/PgzJfvny4y/P/3
 moWFjYGZmQUcQ8QCgABiYaAj4OXlZdDk1WHQVNPhj2BIdX3//p3rg6d3GM5f
 P/rq2p2zh+49uX7oxbvHZ//8/XOOhZnlBzFmAgQQXT2ADgQFhYDYjMFQx0yM
 4R9DyKu3r0LuPrr+d8GG7sVnbxxKZmfl+EfIDIAAYmIYLADoEjFRMQZLY3tm
 bWUTo1+/fhLlNoAAGjweQAK/fv8kupQCCCCWweDgb1+/MTx99Yjh5r1LH6/d
 PXf16IXt8zjZuf4QoxcggAbEAz++/2B49uoxw637l75cvXP+2rW7Z87fe3rt
 yLcfnw/++vPzGRsrx19WYH3xn+E/QbMAAoguHvj18zfDc5CDH1z5du3OuVtA
 B5+98+Tq0S/fPgId/OMRsMb+AytCuYB1A7iGJ8LxIAAQQFTxAHq75/evPwwv
 Xj9luPPw6g+gg29fvXv27O1Hl44DK7ADwPT9gJGJ6Re4EmNmAjqYhyK7AQKI
 hXLHMzL8/v2L4fnLZwy3ISF8F5iOL918dOHkx89v9wFD+A4jA+NPVlY2cI3L
 ycFN1dgFCCCKPQBsxDHsPLz6+fxN3U3fvn/e+xOYJIAJ4CcbCzvEwezcNE2e
 AAFElSR07ubuLy/ePJzBzysEdDAn2e0acgBAAFGlHgA2l5mAmZAFkhcY6Vqi
 AQQQ3YtRWA8QUk9R7lmAAKKLB/78+c0ALN/lgY5XZ2fjkABFGjDjv/33/98d
 Vha2W0D8l9z+AUAA0dQDv//8Zvrz91eAnKRKgraKqb28pAqfiIAkuOQCllAM
 T17d+3Ht3rlzdx5eWfHv3/+lQM+9I9UOgACimQe+//yqIiEi0x/kkuzjYh7M
 IMgnxsDOxs7AzALsXgLh33//gBXcD46vPz9bnbq012rFjmlp1+9dLAQ2IfaQ
 EhsAAUQTD3z78dXIQMN8VWFsl7KqnC4DKxsLAwsrM5rFTAzsHDwMXH84Gdys
 whiMtOx0Zqxu3LL90MpUdjbOxcR6AiCAqOUBUM4EN75+/PwuC3T8mtr0WYrS
 YvIM7JyseDWCYgSE+f8IMeRFtLMDe2NzNh9Y+oyLg2cvMRYDBBATlZzP9Of3
 P7Uf33+6CvAKzcuJbCHK8cgA2EcG1uh/GVKDa9n01c3n/fz5XYIYfQABRI4H
 MHpJHFzs8rKqvOdVjPh2pcTkuKjLG5HkeNDIxo8fPxiYWZkYmP+zMcT6FMqx
 srFl/v9PsEPGABBAJHsAmPc4gUU5SgI1sTBgNnEV57KwV2ew1PFkYGdnJcnM
 L1++QOoHIP7w8R2DhpwRg6GmdfLPXz8FCekFCCCiPQAy/++ff0nMbCwZ7JzM
 KDkSVAH//vuTQZxDl4GfTQaYaZmJdvzPnz/BoQ9qN/3+9YvhD7Bh+Pv3PwYD
 dStpYLIyI6QfIICI8sC/v/+FgeYvVTcWnmvqLi3GzsmCkYX//fvLIMGnycDJ
 xkt0BQsaW/38+TO8dv729Ss4pID9YQYlGU0Gbk4eTVxjtzAAEEAsRDhemo2T
 eY2+rZiFpAIXwx9gXxvdUFDng5mRlYGThR/o+P9Eh/7Hjx+Bof0bHPqgWADF
 BrCvALTzLwMvlyCw3uAQ/P7jG14zAAKIBX8I/edhZWdeZuwoYSEmwwUMGWBJ
 +Y8R56ApKeDTp0/wpPMX6OCvwJhANuvP3z8M///9/0vIHIAAYsFbsv9naNSx
 ELEDOf73r394BnwZgZ79w/DzD9AR/xkJNuZAjv/27Ru4SQHifwbGBKgkglVe
 LEwsDB+/vmH48fsHI6FRboAAwin79+8/bUlFngxpFV5gxiJcnIEsevH5BtDS
 r3iLy/fv38MdD44JoOPBSQdW8wI9xARMjp/Z7wLL5+/R//8zCuGzFyCAcHoA
 2MRPl9fg52JiYmT4T0SyZmFiY3jy6QLDu6+PGX7/xIz579+/M7x79w7sWMhg
 LgPDZ1AyAoojNxuADmZg4WRkePLtNIOIHLsqsNbxwGcvQADh9AAXL4sFvzA7
 qOgksm/MzPDpx2uGB1+OAh31G6WYBDn8w4cP4FKHCVgCg9L8R2BMfEeKCVi6
 5WDnYXj24yLD7ZdnGISluBhY2Bn98NkLEEA48wCvILsSCysTNDMQB0Al0dmn
 qxjkeMyATQMVhr//fwIz/i9orw1Sev0AOvoLMMOCPIHueMb/LAzsvEwMe69M
 BxelbJwcQA/8dsZnJ0AAMeFuZDGygcz/T0LJwsTIwvDp+xuGw08mM3wGxsbP
 b5CMCZpHA3nkEzAWPgIxuuP/g6t2VgZBYSGGvY8mAkP/FAMbCwesksQ78QYQ
 QDg98PPb3w//0doMoPzAzMLEgK2lCxrjYWJmZOBg4WK4/eoEw/qbVQyfGZ6D
 2zYf339keP/mLTy9wxwPMh+Uv7g5BRj4RDgYdj7qZDh8ZynQ8Vzw2v/fb4Zn
 +DwAEEA4k9DnDz+v//j2V5aTmwUSQkA7v3z8yfDqKTAE1VC1vX3xg+HG1RcM
 8opSDIxsf4Gx8J3h6bvdDA9f32Swk05nUBezYRAQFGH48+s3uHwHe5iJGdjk
 YGP4/f8Hw4O3ZxkOXJ7J8PjLObDjQcUyqPT88fEfsED4vwmfBwACCKcHgI7f
 /ubZNzd5TX6Gf7/+g0Pt+eNPDPdvvWdYxzuXQfaKCgOotQiawDt9+QjD43tf
 gbXqCwZRJXawhznZuBnu3X7EcGp/MYOMqDKDubYbg7yYBgM3Oz84P3z/9YXh
 xbsHDKeu72a4/fgiAzM7A4O8tgADExuw1PsHGTD78OwvsBBhwOsBgABixNXW
 sAwX5ecVYj9n6SWlxM7ODDb079//DG9efmF49eo9w9dvP4AO/gMOKTZg65OH
 j4OBSxCYjFigGYcRHP0MXz78Yfj26SewnfMd2AdjZWBlZgNLAvvKDH/+/WTg
 4GBn4ORhZ+AWYGVg54akaGA9xvD9/X+Gu8d+7AJ6wOvY8lc4a2SAAGLBXQ8w
 fvz05mfFzXPvVmpZCDH+/vMXXBFxAKsVMR5Ohp+/oUkLnNEg6RrY9EDkeiDN
 BGxVC4izMvCLAdX+44ameUi6Z2QEjdzxgZMmIxOkRgaHPNAPoDnDZ1d+ff7z
 838ZMEDwNicAAogFf3ePcfXDax8Nfv3/USWuzgIux0GOBGdEKAS79R+O0eT/
 4MYgUrMboQe5mf4fqgaYGkFJhuHx+V9/P7/+mwl0/EVCJR9AAOFvjUJCp/r5
 9Z9MwNq1QlKTlYGFDdha/MNAHviPqxKEJJufn/8zPLn06+unF/+ygY5fSoyR
 AAHERLiGBReflW/u/k26d/zX088v/4GjGWQhpXPVMIeDYuHtg78Md47+vPDp
 5T8foNhCYs0ACCDiRiUgFs3/+u7f/nsnflbxSzKHC8ky83ELMzOA8ySkNwih
 cYU0I7TFzQhJ5+CBr+/ATP76L9Dxf55+eftvLtBDfcBk9JGUQAAIIJKGVYCG
 PwA6Lu3Dk7+TPj7/m8TJy+jNJ8GiBip92HmBjTBgEQhKx4wsDEitS0iFBcw+
 wPwAdPQPYHPi0z8GYGD8/vTi78WfX/9vAKpaANT3lJxYBAgg0seFILFxBeiw
 ou+f/td8+/DbCmi5I1BMl42LSZmNm1ES2ABjYmaBli7ADArKmECH//755d+j
 Pz/+3wXyLwALg13ApHkRqPc3JckQIMAAk6PyG5YPAiMAAAAASUVORK5CYII=
